Package org.eclipse.mat.snapshot

## Class UnreachableObjectsHistogram.Record

- java.lang.Object
- - org.eclipse.mat.snapshot.UnreachableObjectsHistogram.Record

All Implemented Interfaces:
  `java.io.Serializable`

Enclosing class:
  UnreachableObjectsHistogram

    public static class UnreachableObjectsHistogram.Record
    extends java.lang.Object
    implements java.io.Serializable

Holds details about the unreachable objects for objects of one particular

See Also:
  Serialized Form

### Constructor Summary

Constructors
`Record​(java.lang.String className, int nrOfObjects, long sizeOfObjects)` Details about a particular class
`Record​(java.lang.String className, long classAddress, int nrOfObjects, long sizeOfObjects)` Details about a particular class

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getClassAddress()` the actual address of the class
`java.lang.String` `getClassName()` The name of the class
`int` `getObjectCount()` the number of instances discarded by Memory Analyzer
`long` `getShallowHeapSize()` the total size occupied by instances of this class that were discarded

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Record

    public Record​(java.lang.String className,
                  long classAddress,
                  int nrOfObjects,
                  long sizeOfObjects)

Details about a particular class

Parameters:
  `className` - the class name
  `classAddress` - the address of the class object
  `nrOfObjects` - the number of instances
  `sizeOfObjects` - the total size of the instances
Since:
  1.0

#### Record

    public Record​(java.lang.String className,
                  int nrOfObjects,
                  long sizeOfObjects)

Details about a particular class

Parameters:
  `className` - the class name
  `nrOfObjects` - the number of instances
  `sizeOfObjects` - the total size of the instances

### Method Detail

#### getClassName

    public java.lang.String getClassName()

The name of the class

Returns:
  the class name

#### getObjectCount

    public int getObjectCount()

the number of instances discarded by Memory Analyzer

Returns:
  the number of instances

#### getShallowHeapSize

    public long getShallowHeapSize()

the total size occupied by instances of this class that were discarded

Returns:
  the total size

#### getClassAddress

    public long getClassAddress()

the actual address of the class

Returns:
  the class address
Since:
  1.0